2022-02-12 21:30题主

JDK17嵌入式Tomcat

1. JDK17 兼容
2. Narshorn 15.3 启用es6语法
3. 默认wb放在同web.jar同目录下的wb文件夹
4. 可能需要的JVM参数 --add-opens java.base/java.net=ALL-UNNAMED
2022-02-14 13:02#1
谢谢分享
2022-02-24 10:57#2
@zenliu 你用的JDK17吗?tomcat用的是什么版本?
2022-02-27 20:23#3
tomcat 最高8.5 新的由于j2ee包命名问题.不能兼容. JDK 17 需要引入独立的Narshorn实现.如果不配置参数的话.初始运行较慢.高频使用性能更好.
2022-03-08 09:12#4
jdk17是LTS版本,现在也是主流了
tomcat 10只要包名改jarkata.*就可以了
2022-03-09 10:33#5
你好,请问Narshorn 15.3 有地方下载吗 ,是  需要自己编译吗?
2022-03-21 09:05#6
wb新版本不是已经使用了新的引擎​么

返回开发者社区